Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Interface AdjustmentDescription

All Superinterfaces
  Serializable

All Known Subinterfaces:
  UnitAdjustmentDescription

All Known Implementing Classes:
  AdjustmentDescriptionImpl, UnitAdjustmentDescriptionImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface AdjustmentDescription

extends Serializable

Method Summary
`Money` | `adjustmentAmount()` Deprecated See BEA Commerce product offering
`String` | `computation()` Deprecated See BEA Commerce product offering
`Money` | `endPrice()` Deprecated See BEA Commerce product offering
`String` | `getCurrency()` Deprecated See BEA Commerce product offering
`String` | `id()` Deprecated See BEA Commerce product offering
`Money` | `initialPrice()` Deprecated See BEA Commerce product offering
`String` | `reason()` Deprecated See BEA Commerce product offering
`AdjustmentType` | `type()` Deprecated See BEA Commerce product offering

Method Detail

### type

    AdjustmentType type()

  Deprecated See BEA Commerce product offering

  Returns
    the type of this adjustment
  See Also
    `AdjustmentType`

### initialPrice

    Money initialPrice()

  Deprecated See BEA Commerce product offering

### endPrice

    Money endPrice()

  Deprecated See BEA Commerce product offering

### adjustmentAmount

    Money adjustmentAmount()

  Deprecated See BEA Commerce product offering

### computation

    String computation()

  Deprecated See BEA Commerce product offering

### reason

    String reason()

  Deprecated See BEA Commerce product offering

### id

    String id()

  Deprecated See BEA Commerce product offering

### getCurrency

    String getCurrency()

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved